function [D,U,R,B,W,V] = hsssum(D1,U1,R1,B1,W1,V1,D2,U2,R2,B2,W2,V2)

for i = 1:length(D1)
    D{i} = D1{i}+D2{i};
    U{i} = [U1{i} U2{i}];
    V{i} = [V1{i} V2{i}];
end

for i = 1:length(R1)
    R{i} = blkdiag(R1{i},R2{i});
    W{i} = blkdiag(W1{i},W2{i});
end

for i = 1:length(B1)
    B{i} = blkdiag(B1{i},B2{i});
end